tigase.jaxmpp.core.client.xmpp.modules.mam

## Enum MessageArchiveManagementModule.DefaultValue

- java.lang.Object
- - java.lang.Enum<MessageArchiveManagementModule.DefaultValue>
  - - tigase.jaxmpp.core.client.xmpp.modules.mam.MessageArchiveManagementModule.DefaultValue

- All Implemented Interfaces:
    Serializable, Comparable<MessageArchiveManagementModule.DefaultValue>
  Enclosing class:
    MessageArchiveManagementModule

      public static enum MessageArchiveManagementModule.DefaultValue
      extends Enum<MessageArchiveManagementModule.DefaultValue>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `always`
    `never`
    `roster`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MessageArchiveManagementModule.DefaultValue` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MessageArchiveManagementModule.DefaultValue[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### always

          public static final MessageArchiveManagementModule.DefaultValue always

    - #### roster

          public static final MessageArchiveManagementModule.DefaultValue roster

    - #### never

          public static final MessageArchiveManagementModule.DefaultValue never

  - ### Method Detail

    - #### values

          public static MessageArchiveManagementModule.DefaultValue[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageArchiveManagementModule.DefaultValue c : MessageArchiveManagementModule.DefaultValue.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageArchiveManagementModule.DefaultValue valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Tigase. All rights reserved.